# angular.filter.currency

Work in Progress This page is currently being revised. It might be incomplete or contain inaccuracies.

## Description

Formats a number as a currency (ie $1,234.56). When no currency symbol is provided, default symbol for current locale is used.

## Usage

### In HTML Template Binding

`{{ currency_expression | currency[:symbol] }}`

### In JavaScript

`angular.filter.currency(amount[, symbol])`

### Parameters

- `amount – {number} –`

  Input to filter.

- `symbol(optional) – {string} –`

  Currency symbol or identifier to be displayed.

### Returns

`{string}` –

Formated number.

## Example

      <input type="text" name="amount" value="1234.56"/> <br/>
      default currency symbol ($): {{amount | currency}}<br/>
      custom currency identifier (USD$): {{amount | currency:"USD$"}}

      it('should init with 1234.56', function(){
        expect(binding('amount | currency')).toBe('$1,234.56');
        expect(binding('amount | currency:"USD$"')).toBe('USD$1,234.56');
      });
      it('should update', function(){
        input('amount').enter('-1234');
        expect(binding('amount | currency')).toBe('($1,234.00)');
        expect(binding('amount | currency:"USD$"')).toBe('(USD$1,234.00)');
        expect(element('.doc-example-live .ng-binding').attr('className')).
          toMatch(/ng-format-negative/);
      });